Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ClientRequestInfo.h File Reference

`#include "tao/LocalObject.h"`
`#include "tao/PortableInterceptorC.h"`
`#include "tao/ORB_Constants.h"`

Include dependency graph for ClientRequestInfo.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_ClientRequestInfo
| Implementation of the PortableInterceptor::ClientRequestInfo interface. More...
class | TAO_ClientRequestInfo_Guard
| Guard for exception safe TAO_ClientRequestInfo_i pointer swapping. More...

## Detailed Description

Id:
  ClientRequestInfo.h,v 1.19 2003/10/28 18:29:13 bala Exp

This is the implementation of the PortableInterceptor::ClientRequestInfo interface.

Author:
  Ossama Othman <ossama@uci.edu>